# Dadou - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor7_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 7.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.1 ]; then echo 1; else echo 0; fi)}

# Dadou - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%define unstable 0

%if !%buildfor7_2
Name:		kde-i18n-pt
%else
Name:		kde-i18n-Portuguese
%endif
Summary:	Portuguese language support for KDE
Version:	2.2.1
Release:	1mdk
Group:		Graphical desktop/KDE
License:	GPL
URL:		http://www.kde.org/
Icon:		kde-icon.xpm

Source:		%name-%version.tar.bz2

BuildRoot:	%_tmppath/%name-%version-%release-root
%if !%buildfor7_2
Obsoletes:	kde-i18n-Portuguese
%endif
Requires:	locales-pt
BuildArch:	noarch

%description
Portuguese language support for KDE.

%prep

%setup -q -n %name

%build
%configure

%make


%install
rm -fr %buildroot

make install DESTDIR=%buildroot


%clean
rm -fr %buildroot


%files
%defattr(-,root,root,-)
%dir %_docdir/HTML/
%dir %_docdir/HTML/pt/
%dir %_docdir/HTML/pt/common/
%doc %_docdir/HTML/pt/common/fdl-license
%doc %_docdir/HTML/pt/common/gpl-license
%doc %_docdir/HTML/pt/common/*.css
%doc %_docdir/HTML/pt/common/*.dcl
%doc %_docdir/HTML/pt/common/*.html
%doc %_docdir/HTML/pt/common/*.png
#
#
%dir %_docdir/HTML/pt/kabalone/
%doc %_docdir/HTML/pt/kabalone/common
%doc %_docdir/HTML/pt/kabalone/*.docbook
%doc %_docdir/HTML/pt/kabalone/*.bz2
#
#
#
#
%dir %_docdir/HTML/pt/kaddressbook/
%doc %_docdir/HTML/pt/kaddressbook/common
%doc %_docdir/HTML/pt/kaddressbook/*.docbook
%doc %_docdir/HTML/pt/kaddressbook/*.bz2
#
%dir %_docdir/HTML/pt/kdesu/
%doc %_docdir/HTML/pt/kdesu/common
%doc %_docdir/HTML/pt/kdesu/*.docbook
%doc %_docdir/HTML/pt/kdesu/*.bz2
#
%dir %_docdir/HTML/pt/kpackage/
%doc %_docdir/HTML/pt/kpackage/common
%doc %_docdir/HTML/pt/kpackage/*.docbook
%doc %_docdir/HTML/pt/kpackage/*.bz2
#
%dir %_docdir/HTML/pt/kpager/
%doc %_docdir/HTML/pt/kpager/common
%doc %_docdir/HTML/pt/kpager/*.docbook
%doc %_docdir/HTML/pt/kpager/*.bz2
#
%dir %_docdir/HTML/pt/kscore/
%doc %_docdir/HTML/pt/kscore/common
%doc %_docdir/HTML/pt/kscore/*.docbook
%doc %_docdir/HTML/pt/kscore/*.bz2
#
%dir %_docdir/HTML/pt/ksysv/
%doc %_docdir/HTML/pt/ksysv/common
%doc %_docdir/HTML/pt/ksysv/*.docbook
%doc %_docdir/HTML/pt/ksysv/*.bz2
#
%dir %_docdir/HTML/pt/kteatime/
%doc %_docdir/HTML/pt/kteatime/common
%doc %_docdir/HTML/pt/kteatime/*.docbook
%doc %_docdir/HTML/pt/kteatime/*.bz2
#
%dir %_docdir/HTML/pt/kcron/
%doc %_docdir/HTML/pt/kcron/common
%doc %_docdir/HTML/pt/kcron/*.docbook
%doc %_docdir/HTML/pt/kcron/*.png
%doc %_docdir/HTML/pt/kcron/*.bz2
#
#
#
%dir %_docdir/HTML/pt/kmoon/
%doc %_docdir/HTML/pt/kmoon/common
%doc %_docdir/HTML/pt/kmoon/*.docbook
%doc %_docdir/HTML/pt/kmoon/*.bz2
#
%dir %_docdir/HTML/pt/kodo/
%doc %_docdir/HTML/pt/kodo/common
%doc %_docdir/HTML/pt/kodo/*.docbook
%doc %_docdir/HTML/pt/kodo/*.bz2
#
#
#
%dir %_docdir/HTML/pt/kspell/
%doc %_docdir/HTML/pt/kspell/common
%doc %_docdir/HTML/pt/kspell/*.docbook
%doc %_docdir/HTML/pt/kspell/*.bz2
#
%dir %_docdir/HTML/pt/kugar/
%doc %_docdir/HTML/pt/kugar/*.docbook
#
%dir %_docdir/HTML/pt/kuser/
%doc %_docdir/HTML/pt/kuser/common
%doc %_docdir/HTML/pt/kuser/*.docbook
%doc %_docdir/HTML/pt/kuser/*.bz2
#
%dir %_docdir/HTML/pt/kworldclock/
%doc %_docdir/HTML/pt/kworldclock/common
%doc %_docdir/HTML/pt/kworldclock/*.docbook
%doc %_docdir/HTML/pt/kworldclock/*.bz2
#
%dir %_docdir/HTML/pt/kwuftpd/
%doc %_docdir/HTML/pt/kwuftpd/common
%doc %_docdir/HTML/pt/kwuftpd/*.docbook
%doc %_docdir/HTML/pt/kwuftpd/*.bz2
#
#
#
%dir %_datadir/locale/
%dir %_datadir/locale/pt/
%_datadir/locale/pt/charset
%_datadir/locale/pt/*.desktop
%_datadir/locale/pt/*.png
#
#
%dir %_datadir/locale/pt/LC_MESSAGES/
%_datadir/locale/pt/LC_MESSAGES/*.mo


%changelog
* Fri Sep 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.1-1mdk
- kde 2.2.1


* Tue Aug 29 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-2mdk
- remove koffice messages

* Tue Aug 07 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-1mdk
- kde 2.2

* Sat Aug 04 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-0.pre1.1mdk
- kde 2.2 pre1

* Sun Jul 01 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.beta1.1mdk
- KDE 2.2.beta1

* Sun Jun 10 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.alpha2.1mdk
- KDE 2.2.alpha2

* Tue Mar 22 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-1mdk
- KDE 2.1.1

* Sun Feb 26 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-1mdk
- KDE 2.1
